using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
       Response.Write(User.Identity.Name + "<BR>");
       Response.Write("Czy użytkownik jest uwierzytelniony? " +
          (User.Identity.IsAuthenticated ? "Tak" : "Nie") + "<BR>");
       Response.Write("Metoda uwierzytelnienia: " +
            User.Identity.AuthenticationType.ToString() + "<BR>");


       string newPassword = Membership.GeneratePassword(8, 2);
       MembershipCreateStatus status;
       Membership.CreateUser("jan", newPassword, "jan@kowalski.com",
           "Jaka jest odpowiedź?", "42", true, out status);
       Response.Write("Próba utworzenia użytkownika 'piotr4' z hasłem '" +
         newPassword + "' zakończyła się wynikiem " + status.ToString() + "<BR>");

       /*
       Roles.CreateRole("Administratorzy");
       Roles.CreateRole("Użytkownicy zweryfikowani");
       Roles.CreateRole("Użytkownicy aplikacji");
*/
       Roles.AddUserToRole("jan", "Administratorzy");
       Roles.AddUserToRole("jan", "Użytkownicy zweryfikowani");
       Response.Write("Użytkownik 'piotr4' należy do następujących ról:<BR>");
       foreach (string roleName in Roles.GetRolesForUser("piotr5"))
       {
          Response.Write(
            string.Format("<b><i>{0}</b></i><br>", roleName));
       }


    }
}
